Kea: isc::radius::RadiusAcct Class Reference

| Kea 3.2.0-git

isc::radius::RadiusAcct Class Reference

class for accounting communication with servers. More...

`#include <radius_request.h>`

Inheritance diagram for isc::radius::RadiusAcct:
[legend]

## Public Member Functions
| RadiusAcct (uint32_t subnet_id, const AttributesPtr &send_attrs, bool sync, const Exchange::Handler &handler)
| Constructor.
virtual | ~RadiusAcct ()=default
| Destructor.
Public Member Functions inherited from isc::radius::RadiusRequest
| RadiusRequest (const MsgCode code, uint32_t subnet_id, const AttributesPtr &send_attrs, bool sync, const Exchange::Handler &handler)
| Constructor.
virtual | ~RadiusRequest ()=default
| Destructor.
ExchangePtr | getExchange ()
| Get the exchange.
int | getRC () const
| Get the error code.
AttributesPtr | getReqAttrs () const
| Get request attributes.
AttributesPtr | getRespAttrs () const
| Get response attributes.
virtual void | start ()
| Start communication.

## Additional Inherited Members
Protected Attributes inherited from isc::radius::RadiusRequest
ExchangePtr | exchange_
| Exchange.
uint32_t | nas_port_
| Client/NAS port (from Subnet Id).

## Detailed Description

class for accounting communication with servers.

Definition at line 201 of file radius_request.h.

## Constructor & Destructor Documentation

## ◆ RadiusAcct()

isc::radius::RadiusAcct::RadiusAcct | ( | uint32_t | subnet_id,
|  | const AttributesPtr & | send_attrs,
|  | bool | sync,
|  | const Exchange::Handler & | handler )
| inline

Constructor.

Parameters

  subnet_id | Subnet ID (aka client/NAS port).
  send_attrs | Attributes to send.
  sync | true if synchronous, false if asynchronous.
  handler | Termination handler.

Definition at line 210 of file radius_request.h.

References isc::radius::RadiusRequest::RadiusRequest(), and isc::radius::PW_ACCOUNTING_REQUEST.

Referenced by isc::radius::RadiusAsyncAcct::RadiusAsyncAcct(), and isc::radius::RadiusSyncAcct::RadiusSyncAcct().

Here is the call graph for this function:

## ◆ ~RadiusAcct()

virtual isc::radius::RadiusAcct::~RadiusAcct | ( |  | ) |
| virtualdefault

Destructor.

The documentation for this class was generated from the following file:

- radius_request.h